Subject: [Geojson] Why (lon, lat) in GeoJSON vs (lat, long) in GeoURI RFC 5870 ?

From: Mark Harrison <[email-masked]>
Date: Mon, 29 Mar 2021 14:35:46 +0100

Hello

I'm just wondering if there was a really good reason for choosing to
specify longitude before latitude in GeoJSON, other than to create an
unnecessary trip hazard for anyone already familiar with GeoURI (RFC 5870)
which is referenced by GeoJSON / RFC 7946 and which predates it by 6 years,
so many would feel that the precedent for latitude before longitude was
already set and should have been respected in GeoJSON too.

Section 9 of RFC 7946 could have been simpler as a result.

Best wishes

Mark Harrison

---

From: Martin Daly <[email-masked]>
Date: Mon, 29 Mar 2021 13:57:15 +0000

Mark,

You are not the first to ask, and nor will you be the last.

Here’s my now-standard answer:

“The decision was taken in full possession of the facts, not lightly, or without regard to the consequences. There are *extensive* email exchanges on lists.geojson.org, if you like that kind of thing. This response, from Howard, is more or less definitive (albeit replying to slightly different questions):

http://lists.geojson.org/pipermail/geojson-geojson.org/2013-April/000707.html”

Martin

From: GeoJSON <[email-masked]> On Behalf Of Mark Harrison
Sent: 29 March 2021 14:36
To: [email-masked]
Subject: [Geojson] Why (lon, lat) in GeoJSON vs (lat, long) in GeoURI RFC 5870 ?

Hello

I'm just wondering if there was a really good reason for choosing to specify longitude before latitude in GeoJSON, other than to create an unnecessary trip hazard for anyone already familiar with GeoURI (RFC 5870) which is referenced by GeoJSON / RFC 7946 and which predates it by 6 years, so many would feel that the precedent for latitude before longitude was already set and should have been respected in GeoJSON too.

Best wishes

Mark Harrison